//
// $Id: Ping_Service.h 76555 2007-01-24 15:39:09Z johnnyw $
//

#ifndef SERVER_LEAKS_PING_SERVICE_H
#define SERVER_LEAKS_PING_SERVICE_H
#include /**/ "ace/pre.h"

#include "TestS.h"

/// Implement the Test::Ping_Service interface
class Ping_Service
  : public virtual POA_Test::Ping_Service
{
public:
  /// Constructor
  Ping_Service (CORBA::ORB_ptr orb);

  // = The skeleton methods
  virtual void ping (void)
    ACE_THROW_SPEC ((CORBA::SystemException));

  virtual void shutdown (void)
    ACE_THROW_SPEC ((CORBA::SystemException));

private:
  /// Use an ORB reference to conver strings to objects and shutdown
  /// the application.
  CORBA::ORB_var orb_;
};

#include /**/ "ace/post.h"
#endif /* SERVER_LEAKS_PING_SERVICE_H */
